petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMNetworkEdgeSetMatrix

Sets user-provided Jacobian matrices for this edge to the network

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkEdgeSetMatrix(DM dm,PetscInt p,Mat J[])

Not Collective

### Input Parameters

| dm | - The DMNetwork object
| p | - the edge point
| J | - array (size = 3) of Jacobian submatrices for this edge point: J[0]: this edge J[1] and J[2]: connected vertices, obtained by calling DMNetworkGetConnectedVertices()

### See Also

DMNetworkVertexSetMatrix

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages